Subject: Re: [PATCH v8 00/11] Add submodulePathConfig extension and gitdir encoding

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 8 Jan 2026 07:47:26 +0100

On Thu, Jan 08, 2026 at 01:01:34AM +0200, Adrian Ratiu wrote:
> Changes in v8:
> * Added a new test to ensure gitdir config path is relative (Patrick)
> * Improved gitdir validation error message and added advice (Patrick)
> * Renamed init.autoSetupSubmodulePathConfig to init.defaultSubmodulePathConfig
>   and moved its init logic to initialize_repository_version() (Patrick)
> * repositoryformatversion is only set to 1 if it's 0, so it doesn't
>   overwrite potential future higher versions (Patrick)
> * Fixed global init.defaultSubmodulePathConfig leak between tests (Adrian)
> * Whitespace and other minor fixes (Junio, Patrick)

I've had two more small comments, but other than that this version looks
good to me. Thanks!

Patrick